English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 134041 CVE descriptions
and 69903 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.891397
Category:Debian Local Security Checks
Title:Debian LTS Advisory ([SECURITY] [DLA 1397-1] php5 security update)
Summary:Several vulnerabilities were found in PHP, a widely-used open source;general purpose scripting language:;;CVE-2018-7584;;A stack-buffer-overflow while parsing HTTP response results in copying a;large string and possible memory corruption and/or denial of service;;CVE-2018-10545;;Dumpable FPM child processes allow bypassing opcache access controls;resulting in potential information disclosure where one user can obtain;information about another user's running PHP applications;;CVE-2018-10546;;An invalid sequence of bytes can trigger an infinite loop in the stream;filter convert.iconv;;CVE-2018-10547;;A previous fix for CVE-2018-5712 may not be complete, resulting in an;additional vulnerability in the form of a reflected XSS in the PHAR 403;and 404 error pages;;CVE-2018-10548;;A malicious remote LDAP server can send a crafted response that will;cause a denial of service (NULL pointer dereference resulting in an;application crash);;CVE-2018-10549;;A crafted JPEG file can case an out-of-bounds read and heap buffer;overflow
Description:Summary:
Several vulnerabilities were found in PHP, a widely-used open source
general purpose scripting language:

CVE-2018-7584

A stack-buffer-overflow while parsing HTTP response results in copying a
large string and possible memory corruption and/or denial of service

CVE-2018-10545

Dumpable FPM child processes allow bypassing opcache access controls
resulting in potential information disclosure where one user can obtain
information about another user's running PHP applications

CVE-2018-10546

An invalid sequence of bytes can trigger an infinite loop in the stream
filter convert.iconv

CVE-2018-10547

A previous fix for CVE-2018-5712 may not be complete, resulting in an
additional vulnerability in the form of a reflected XSS in the PHAR 403
and 404 error pages

CVE-2018-10548

A malicious remote LDAP server can send a crafted response that will
cause a denial of service (NULL pointer dereference resulting in an
application crash)

CVE-2018-10549

A crafted JPEG file can case an out-of-bounds read and heap buffer
overflow

Vulnerability Insight:
This package is a metapackage that, when installed, guarantees that you
have at least one of the four server-side versions of the PHP5 interpreter
installed. Removing this package won't remove PHP5 from your system, however
it may remove other packages that depend on this one.

Affected Software/OS:
php5 on Debian Linux

Solution:
For Debian 8 'Jessie', these problems have been fixed in version
5.6.36+dfsg-0+deb8u1.

We recommend that you upgrade your php5 packages.

CVSS Score:
7.5

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2018-5712
https://lists.debian.org/debian-lts-announce/2018/01/msg00025.html
RedHat Security Advisories: RHSA-2018:1296
https://access.redhat.com/errata/RHSA-2018:1296
https://usn.ubuntu.com/3566-1/
https://usn.ubuntu.com/3600-1/
https://usn.ubuntu.com/3600-2/
BugTraq ID: 102742
http://www.securityfocus.com/bid/102742
BugTraq ID: 104020
http://www.securityfocus.com/bid/104020
http://www.securitytracker.com/id/1040363
Common Vulnerability Exposure (CVE) ID: CVE-2018-7584
https://www.exploit-db.com/exploits/44846/
https://lists.debian.org/debian-lts-announce/2018/03/msg00030.html
https://lists.debian.org/debian-lts-announce/2018/06/msg00005.html
Debian Security Information: DSA-4240 (Google Search)
https://www.debian.org/security/2018/dsa-4240
BugTraq ID: 103204
http://www.securityfocus.com/bid/103204
http://www.securitytracker.com/id/1041607
CopyrightCopyright (c) 2018 Greenbone Networks GmbH http://greenbone.net

This is only one of 69903 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe

© 1998-2018 E-Soft Inc. All rights reserved.